# $Id$

CFLAGS+=	-I${.CURDIR}/../zaptel
WERROR?=	-Wall

LOCALBASE?=	/usr/local
PREFIX?=	/usr/local
MKDIR?=		/bin/mkdir -p
INSTALL?=	/usr/bin/install

BSD_INSTALL_PROGRAM?=	${INSTALL} -o root -g wheel -m 755 -s
BSD_INSTALL_DATA?=	${INSTALL} -o root -g wheel -m 644

.if defined(KMOD)
load: ${KMOD}.ko
	kldload ./${KMOD}.ko

unload:
	kldunload ${KMOD}

reload: unload load
.endif

