package ztcfg;

our (%files_to_copy, %files_to_beastify);

sub fixup_includes
{
	my $src = shift;
	$src =~ s@zaptel/@@g;

	return $src;
}

sub fixup_tonezone
{
	my $src = shift;
	$src =~ s/ENODATA/EINVAL/g;
	$src =~ s/ZT_LOADZONE, h/ZT_LOADZONE, &h/;
	$src =~ s@kernel/zaptel@zaptel@g;

	return $src;
}

sub fixup_systypes
{
	my $src = shift;
	$src =~ s/#include/#include <sys\/types.h>\n#include/g;

	return $src;
}

# {{{ Files to port for ztcfg package
%files_to_copy = (
	"ztcfg.h" => "ztcfg/ztcfg.h",
);

%files_to_beastify = (
	"ztcfg.c" => {
		filter => \&fixup_includes,
		dst => "ztcfg/ztcfg.c",
	},
	"tonezone.h" => {
		filter => \&fixup_includes,
		dst => "ztcfg/tonezone.h",
	},
	"tonezone.c" => {
		filter => \&fixup_tonezone,
		dst => "ztcfg/tonezone.c",
	},
	"zonedata.c" => {
		filter => \&fixup_systypes,
		dst => "ztcfg/zonedata.c",
	},
); 
# }}}

1;
